petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSGetTolerances

Get tolerances for local truncation error when using adaptive controller

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetTolerances(TS ts,PetscReal *atol,Vec *vatol,PetscReal *rtol,Vec *vrtol)

Logically Collective

### Input Arguments

ts -time integration context

### Output Arguments

| atol | - scalar absolute tolerances, NULL to ignore
| vatol | - vector of absolute tolerances, NULL to ignore
| rtol | - scalar relative tolerances, NULL to ignore
| vrtol | - vector of relative tolerances, NULL to ignore

### See Also

TS, TSAdapt, TSVecNormWRMS(), TSSetTolerances()

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages